Subject: Re: bug#52356: 27.2; Isearch prompt changes unexpectedly with char folding enabled

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Dec 2021 21:23:53 +0200

> when I use Isearch with char folding enabled, the prompt changes very
> briefly at every character I type in. The actual prompt depends on the
> values of ‘lazy-count-*-format’ and ‘search-default-mode’ (if they all
> have their default value the prompt is ‘Pending char-fold I-search:…’;
> with the settings described below it’s just ‘I-search: …’, and it
> changes briefly to ‘Pending I-search: …’).
>
> Steps to reproduce:
> -------------------
>
> Launch ‘Emacs -Q’, evaluate these forms
>
>     (setq isearch-lazy-count t)
>     (setq lazy-count-prefix-format nil
>           lazy-count-suffix-format " [%s/%s]")
>     (setq-local search-default-mode 'char-fold-to-regexp)
>     (electric-quote-local-mode)
>
> and Isearch for something.

Thanks for the bug report.  Some time ago I proposed the following patch:

diff --git a/lisp/isearch.el b/lisp/isearch.el
index 75a80840d6..5aa8ea2f14 100644
--- a/lisp/isearch.el
+++ b/lisp/isearch.el
@@ -3479,7 +3479,6 @@ isearch-message-prefix
   ;; If currently failing, display no ellipsis.
   (or isearch-success (setq ellipsis nil))
   (let ((m (concat (if isearch-success "" "failing ")
-		   (if isearch-adjusted "pending " "")
 		   (if (and isearch-wrapped
 			    (not isearch-wrap-function)
 			    (if isearch-forward

But it was unclear whether it's really justified to remove the message
"pending" completely.